import jahuwaldt.tools.units.*;


/**
*  Simple application class to test the Unit class and it's subclasses.
*
*  <p>  Modified by:  Joseph A. Huwaldt  </p>
*
*  @author	 Joseph A. Huwaldt   Date:  December 17, 1997
*  @version  June 10, 2000
**/
public class UnitTester {

	public static void main(String[] args) {

		try {
			double	value = 1.;
			
		//	LengthUnit	units.
			System.out.println("\nLengthUnits:");
			Unit units = Meters.getInstance();
			System.out.println("value = " + value + " " + units);

			Unit newUnits = Angstroms.getInstance();
			value = units.convert(value, newUnits);
			System.out.println("\n   old units = " + units + ", new units = " + newUnits + "\n");
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = AstronomicalUnits.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Centimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Chains.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Fathoms.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Feet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Furlongs.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Inches.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Kilometers.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Leagues.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = LightYears.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Links.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Microns.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = StatuteMiles.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = NauticalMiles.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Millimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Mils.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Parsecs.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Rods.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Yards.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	InvLengthUnit	units.
			System.out.println("\nInverse Length Units:");
			value = 1.;
			units = InvMeters.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = InvCentimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvFeet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvInches.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvKilometers.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvStatuteMiles.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvNauticalMiles.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InvMillimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	AreaUnit	units.
			System.out.println("\nAreaUnits:");
			value = 1;
			units = SqMeters.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Acres.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Barns.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);
			System.out.println(units.getName() + " are " + (units.isExact() ? "exact" : "not exact") );

			newUnits = SqCentimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Hectares.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqInches.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqFeet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqKilometers.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqMiles.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqMillimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SqYards.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);
			System.out.println(units.getName() + " are " + (units.isExact() ? "exact" : "not exact") );


		//	VolumeUnit	units.
			System.out.println("\nVolumeUnits:");
			value = 1;
			units = Liters.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = OldLiters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Barrels.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = OilBarrels.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Bushels.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Centiliters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CubicCentimeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CordFeet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Cords.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CubicFeet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Gallons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = ImpGallons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Gills.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Hogsheads.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CubicInches.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CubicMeters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Milliliters.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = FluidOunces.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Pecks.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Pints.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Quarts.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = ImpQuarts.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = DryQuarts.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	MassForceUnit	units.
			System.out.println("\nMass Units:");
			value = 1;
			units = Kilograms.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Drams.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Grains.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Grams.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Ounces.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = TroyOunces.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Pennyweights.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Tons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = ImpTons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Tonnes.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Pounds.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Slugs.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

		//	MassForceUnit units.
			System.out.println("\nForce Units:");
			value = 1;
			units = Newtons.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Dynes.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Kilonewtons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Kips.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Meganewtons.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Poundals.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsForce.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	DensityUnit units.
			System.out.println("\nDensity Units:");
			value = 1;
			units = KilogramsPerLiter.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = GramsPerCentimeter3.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = GramsPerLiter.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = KilogramsPerMeter3.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = MilligramsPerMilliliter.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = OuncesPerInch3.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsPerInch3.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsPerFoot3.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsPerGallon.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = SlugsPerFoot3.getInstance();
			value = units.convert(value, newUnits);
			System.out.println("value = " + value + " " + units);


		//	Pressure units.
			System.out.println("\nPressure Units:");
			value = 1;
			units = NewtonsPerSqMeter.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Atmospheres.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Bars.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CentimetersOfMercury.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = CentimetersOfWater.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = FeetOfWater.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Hectopascals.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InchesOfWater.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = InchesOfMercury.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Kilopascals.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = MetersOfWater.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Millibars.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = NewtonsPerSqCentimeter.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Pascals.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsForcePerSqInch.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsForcePerSqFoot.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	SpeedUnit units.
			System.out.println("\nSpeed Units:");
			value = 1;
			units = MetersPerSecond.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = CentimetersPerSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = FeetPerMinute.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = FeetPerSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = KilometersPerHour.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = KilometersPerSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Knots.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = MilesPerHour.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = MilesPerSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	AngularUnit units.
			System.out.println("\nAngular Units:");
			value = 1;
			units = Radians.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Degrees.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = AngMinutes.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Revolutions.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = AngSeconds.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	TimeUnits units.
			System.out.println("\nTime Units:");
			value = 1;
			units = Hours.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Seconds.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Minutes.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Days.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Years.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Decades.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = Centuries.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	TemperatureUnit units.
			System.out.println("\nTemperature Units:");
			value = 518.7F;
			units = DegRankine.getInstance();
			System.out.println("value = " + value + " " + units);
			
			newUnits = Kelvin.getInstance();
			value = units.convertToRef(value);
			units = newUnits;
//			units = Kelvin.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = DegCelsius.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = DegFarenheit.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = DegRankine.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);


		//	DynViscosityUnit units.
			System.out.println("\nDynamic Viscosity Units:");
			value =1.0;
			units = Poise.getInstance();
			System.out.println("value = " + value + " " + units);

			newUnits = Centipoise.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = KilogramsPerMeterSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsPerFeetSecond.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = PoundsForceSecPerSqFeet.getInstance();
			value = units.convert(value, newUnits);
			units = newUnits;
			System.out.println("value = " + value + " " + units);

			newUnits = NewtonsSecondPerSqMeter.getInstance();
			value = units.convert(value, newUnits);
			System.out.println("value = " + value + " " + units);


		} catch (CannotConvertException e) {
			System.out.println("Can not convert "+e+"! ");
		}

	}

}





