/*
*  Years - The time unit "years".
*
*  Copyright (C) 1998-2002 by Joseph A. Huwaldt <jhuwaldt@knology.net>.  
*  All rights reserved.
*
*  This library is free software; you can redistribute it and/or
*  modify it under the terms of the GNU Library General Public
*  License as published by the Free Software Foundation; either
*  version 2 of the License, or (at your option) any later version.
*
*  This library is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*  Library General Public License for more details.
**/
package jahuwaldt.tools.units;



/**
*  <p>  The time unit: year.
*       Def: yr/d = 1/365.25  </p>
*
*  <p>  Is Exact?:  No  </p>
*
*  <p>  Modified by:  Joseph A. Huwaldt  </p>
*
*  @author   Joseph A. Huwaldt   Date:  December 16, 1997
*  @version  November 19, 1999
**/
public final class Years extends TimeUnit {
	private static Years example = new Years();

	private Years() {
		name = "years";
		abv = "yr";
	}

	//	Returns the number of years in a second.
	static final double theFactor = Days.theFactor/365.25;
	protected double factor() { return theFactor; }

	/**
	*  Return a reference to the one and only instance of this class.
	**/
	public static Years getInstance() {
		return example;
	}

}


